import 'package:flutter/material.dart';

class SantCage extends StatefulWidget {
  const SantCage({
    Key? key,
    this.name,
    this.company,
  }) : super(key: key);

  final String? name;
  final String? company;

  @override
  State<SantCage> createState() => _SantCageState();
}

class _SantCageState extends State<SantCage> {
  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        color: const Color(0xff7c94b6),
        image: const DecorationImage(
          image: NetworkImage('https://flutter.github.io/assets-for-api-docs/assets/widgets/owl-2.jpg'),
          fit: BoxFit.cover,
        ),
        border: Border.all(
          color: Colors.black,
          width: 8,
        ),
        borderRadius: BorderRadius.circular(12),
      ),
      child: Column(children: [
        Container(
          child: Text(widget.name!, style: TextStyle(fontSize: 25),),
        ),
        Container(
          child: Text(widget.company!, style: TextStyle(fontSize: 20)),
        )
      ]),
    );
  }
}
